Package: org.codehaus.groovy.ast.expr

## [Java] Class NamedArgumentListExpression

- org.codehaus.groovy.ast.expr.NamedArgumentListExpression

- Represents one or more arguments being passed into a method by name

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NamedArgumentListExpression ()`
    `NamedArgumentListExpression (List<MapEntryExpression> mapEntryExpressions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MapExpression` | `addMapEntryExpression, addMapEntryExpression, getMapEntryExpressions, getText, isDynamic, toString, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public NamedArgumentListExpression()

    - #### public NamedArgumentListExpression(List<MapEntryExpression> mapEntryExpressions)

  - ### Method Detail

    - #### public Expression transformExpression(ExpressionTransformer transformer)